Name: kexec-tools
Summary: kexec/kdump userspace tools.
Version: 2.0.4
Release: 1172.148
License: GPL
Group: Applications/System
Source0: %{name}-2.0.4.tar.bz2
Source2: kdump.init
Source3: kdump.sysconfig
Source4: xen-crashdump-analyser.tar.gz
Patch0: 0001-purgatory-put-variables-altered-by-kexec-in-.data-no.patch
Patch1: 0002-kexec-xen-require-libxc-from-Xen-4.3.patch
Patch2: 0003-kexec-xen-use-libxc-to-get-location-of-crash-notes.patch
Patch3: 0004-kexec-xen-switch-to-use-xc_kexec_get_range-for-get_x.patch
Patch4: 0005-kexec-xen-directly-load-images-images-into-Xen.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: xen-devel
%description
%define debug_package %{nil}

%prep
%setup -b 0 -q -n %{name}-2.0.4
tar -oxf %{SOURCE4}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%configure --sbindir=/sbin
make
make -C xen-crashdump-analyser build

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# Remove unneeded tools and man pages.
rm $RPM_BUILD_ROOT%{_libdir}/%{name}/kexec_test || /bin/true
rmdir $RPM_BUILD_ROOT%{_libdir}/%{name}         || /bin/true
rm $RPM_BUILD_ROOT%{_mandir}/man8/kdump.8 || /bin/true
rm $RPM_BUILD_ROOT%{_mandir}/man8/vmcore-dmesg.8 || /bin/true
rm $RPM_BUILD_ROOT/sbin/vmcore-dmesg || /bin/true

mkdir -p -m755 $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d
mkdir -p -m755 $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
mkdir -p -m755 $RPM_BUILD_ROOT%{_localstatedir}/crash
mkdir -p -m755 $RPM_BUILD_ROOT%{_mandir}/man8/

install -m 755 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/kdump
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/kdump
install -m 644 kexec/kexec.8 $RPM_BUILD_ROOT%{_mandir}/man8/kexec.8

mkdir -p -m755 $RPM_BUILD_ROOT%{_libdir}/xen/bin/

install -m755 xen-crashdump-analyser/xen-crashdump-analyser $RPM_BUILD_ROOT%{_libdir}/xen/bin/xen-crashdump-analyser

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add kdump

%postun

if [ "$1" -ge 1 ]; then
        /sbin/service kdump condrestart > /dev/null 2>&1 || :
fi

%preun
if [ "$1" = 0 ]; then
        /sbin/service kdump stop > /dev/null 2>&1 || :
        /sbin/chkconfig --del kdump
fi
exit 0

%files
%defattr(-,root,root,-)
/sbin/kexec
/sbin/kdump
%{_libdir}/xen/bin/xen-crashdump-analyser
%config %{_sysconfdir}/rc.d/init.d/kdump
%config %{_sysconfdir}/sysconfig/kdump
%dir %{_localstatedir}/crash
%{_mandir}/man8/kexec.8*
%doc


%changelog
